Skip to main content
GET
List All Signals

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Query Parameters

page[after]
string

The string value of the next attribute from a previous result page. The cursor value must be empty or omitted for the first request of a cursor-paginated query.

page[size]
number
default:20

The number of entries to include per response. Maximum value is 100.

Required range: 1 <= x <= 100
service_name
string

Restrict results to Signals for a single service.

dataset_slug
string

Restrict results to Signals in a single dataset.

signal
enum<string>

Restrict results to Signals of the given kind. The kind of measurement the Signal is trained on.

  • error_rate: The fraction of erroring requests for the service.
  • presence: Whether the service is producing spans.
Available options:
error_rate,
presence
Example:

"error_rate"

status
enum<string>

Restrict results to Signals in the given status.

Available options:
onboarding,
training,
active,
ineligible,
false
currently_anomalous
boolean

When true, only return Signals that are currently in an anomalous state.

Response

Success

A page of Signals.

signals
object[]
required

The Signals in this page.

Links to iterate through the pages of results.